<?
ob_start();
session_start();
if(isset($_SESSION['ses_name']))
{
$user=$_SESSION['ses_name'];
}else{
header("location:index.php");
}


$veh_num='';
$sdate_12 ='';
$page='1';
include("include/config.php");
require_once "include/Database_functions.php";
$sqlObj=new sqlclass();
$msg = '';
$client_namek ='';

if(isset($_REQUEST['del']) && $_REQUEST['del']=='delete')
{
	$id = $_REQUEST['trip_del'];
	$sql=mysql_query("delete from cf_tripsheet where trip_id='$id'");
	header("location:tripsheet_pending_list.php?msg=You Have Successfully Deleted");
}
?>

<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>OIL FILL</title>
<link href="css/styles.css" rel="stylesheet"  />
<link href="css/menu.css" rel="stylesheet" type="text/css" />
<link type="text/css" href="css_date/ui-lightness/jquery-ui-1.7.2.custom.css" rel="stylesheet" />
<script type='text/javascript' src="https://ajax.googleapis.com/ajax/libs/jquery/1.8.3/jquery.min.js"></script>

<script type='text/javascript' src="js/jquery.autocomplete.js"></script>
<link rel="stylesheet" type="text/css" href="js/jquery.autocomplete.css" />

<script type="text/javascript" src="scripts_date/jquery-calendar-1.7.2.js"></script>



<script src="js/pop_tripsheet.js" type="text/javascript"></script>
<script>

$(document).ready(function(){
$('#from_date').datepicker({
showOn: 'both',
buttonImage: 'icons_date/calendar.gif',
buttonImageOnly: true,
changeMonth: true,
changeYear: true,
dateFormat: 'dd-mm-yy'
});
});

$(document).ready(function(){
$('#to_date').datepicker({
showOn: 'both',
buttonImage: 'icons_date/calendar.gif',
buttonImageOnly: true,
changeMonth: true,
changeYear: true,
dateFormat: 'dd-mm-yy'
});
});

</script>
<script language="javascript">
function getXMLHTTP()
	 { //fuction to return the xml http object
	var xmlhttp=false;	
		try
		{
		xmlhttp=new XMLHttpRequest();
		}
		catch(e)	
		{		
			try{			
				xmlhttp= new ActiveXObject("Microsoft.XMLHTTP");
				}
			catch(e)
			{
				try
				{
				xmlhttp = new ActiveXObject("Msxml2.XMLHTTP");
				}
				catch(e1)
				{
				xmlhttp=false;
				}
			}
		}
	return xmlhttp;
	}   


function Searchdate(page,val)
{ 
 	
	 var page=page;	
	 var client_name='';
	 
	 if(document.trip_frm.trip_num){
	 var trip_num= document.trip_frm.trip_num.value;
	 } 
	 if(document.trip_frm.veh_num){
	 var veh_num= document.trip_frm.veh_num.value;
	 }
	 if(document.trip_frm.saletype){
	 var saletype= document.trip_frm.saletype.value;
	 }
	 if(document.trip_frm.from_date){
	 var fromdate= document.trip_frm.from_date.value;
	 }
	 
	 
	 if(document.trip_frm.to_date){
	 var todate= document.trip_frm.to_date.value;
	 }
	 
	var strURL="ajax/tripsheetpending_data.php?&page="+page;
	
	if(trip_num!=''){
	strURL+="&tripsheetno="+trip_num;
	}
	if(veh_num!=''){
	strURL+="&veh_num="+veh_num;
	}
	if(saletype!=''){
	strURL+="&saletype="+saletype;
	}
	if(fromdate!=''){
	strURL+="&fromdate="+fromdate;
	}
	if(todate!=''){
	strURL+="&todate="+todate;
	}
	var req = getXMLHTTP();
   if (req)
   {
     req.onreadystatechange = function()
     {
		 
			if ((req.readyState == 0)||(req.readyState == 1)||(req.readyState == 2)||(req.readyState == 3))
      		{
			//document.getElementById('order').innerHTML='<div align="center"><img src="'+path+'images/ajax_loader.gif"/></div>';
			//document.getElementById('Cakeorder').innerHTML='<div align="center"><img src="'+path+'images/ajax_loader.gif"/></div>';
			}
		 
		 
      if (req.readyState == 4)
      {
	 // only if "OK"
	 	if (req.status == 200)
	 	{ 
	   document.getElementById('list').innerHTML=req.responseText;
	//	document.getElementById('Cakeorder').innerHTML=req.responseText;
	 	}
	  else 
	 	{
   	   alert("There was a problem while using XMLHTTP:\n" + req.statusText);

	 }
     }
     }
   req.open("GET", strURL, true);
   req.send(null);
   }
 
   
}
function showClientcodedropdown(str){
var xmlhttp;    
if (str=="")
  {
  document.getElementById("txtcodeshow").innerHTML="";
  Searchdate(1,str);
  return;
  }
  
if (window.XMLHttpRequest)
  {// code for IE7+, Firefox, Chrome, Opera, Safari
  xmlhttp=new XMLHttpRequest();
  }
else
  {// code for IE6, IE5
  xmlhttp=new ActiveXObject("Microsoft.XMLHTTP");
  }
xmlhttp.onreadystatechange=function()
  {
  if (xmlhttp.readyState==4 && xmlhttp.status==200)
    {
	   document.getElementById("txtcodeshow").innerHTML=xmlhttp.responseText;
    }
  }
xmlhttp.open("GET","clientajax_code_dropdown.php?str="+str,true);
xmlhttp.send();
}
</script>
</head>

<body>
<!------------------popup area (view, edit)--------------->

<div class="viewEmployeePopup login-popup"  id="login-box" style="width:700px;height:400px;">
<a href="#" class="close"><img src="images/close.png" class="btn_close" title="Close Window" alt="Close" /></a>
   <div id="popupid"></div>
   
     
    </div>

<!---------------popup area ends------------------>
<div class="wrapper" >
   <div>
<?php 
	include("header.php");
?>
</div>
 
 <div class="tabbedArea" style="position:relative; margin-top:">

  
  <div class="tabBody">
   <h1>Tripsheet Pending List</h1>
   
   <form name="trip_frm" id="trip_frm" method="post"  >
   <div class="searchBox" style="width:93%; margin-right:0px;  padding:0px; ">
   <div style="padding:20px;">
   
   <div class="searchField" style="padding-left:20px;">
     <p class="input1">Tripsheet No</p>
     <input type="text" name="trip_num" id="trip_num" style="width:100px;" class="input1" />
    </div>
    
    <div class="searchField" style="padding-left:20px;">
     <p class="input1">Vehicle No</p>
     <input type="text" name="veh_num" id="veh_num" style="width:100px;" class="input1" />
    </div>
    
    <div class="searchField" style="padding-left:20px;">
     <p class="input1">Sales Type</p>
     <select name="saletype" class="input1">
         <option value="">-Select Type-</option>
         <option value="box">Box</option>
         <option value="tin">Tin</option>
         <option value="kg">Kg</option>
     </select>
    </div>
     
    <div class="searchField" style="padding-left:20px;">
     <p class="input1">From Date</p>
     <input type="text" name="from_date" id="from_date" style="width:75px;" maxlength="100" class="input1" />
    </div>
    
    <div class="searchField" style="padding-left:20px;">
     <p class="input1">To Date</p>
     <input type="text" name="to_date" id="to_date" style="width:75px;" maxlength="100" class="input1" />
    </div>
       
    <div class="searchField">
     <input name="button" type="button" class="input1" onClick="Searchdate(1);" value="search" />
    </div>
  
   </div>
   </div>
   </form>
   
   <div class="searchBox" style="width:93%; margin-right:0px;  padding:0px;">
  
   
   <div id="list">
   <table  border="0" cellspacing="0" cellpadding="0" class="tableList"  style="margin-left:20px; ">
  <tr class="heading">
    <td>No</td>    
    <td>Tripsheet No</td>
    <td>Sales No</td>
    <td>Vehicle No</td>
	<td>Drv Name</td>
    <td>Client Name</td>
    <td>Sales Type</td>
	<td>Start Date</td>    
	<td>Finish Date</td>    
    <td>Total</td>  
    <td align="center">Edit</td>  
    <td align="center">Delete</td>
  </tr>
  
  <?php

$master = '';
$notification = '';
$trip = '';
$accounting = '';
$accpay = '';
$report = '';

$i=1;
$sq_arr="select * from cf_tripsheet where trip_status = 0 and delete_status = 0 ";
$sq_arr.=" order by trip_id desc ";
$query=$sq_arr;
//echo $query;
$function="Searchdate";
include("pagingserch.php");
$sq_arr.=" LIMIT $start, $limit";

if(isset($_REQUEST['page'])){
$page=$_REQUEST['page'];
}else{
$page=1;
}

$array=mysql_query($sq_arr);
if($array && mysql_num_rows($array)>0){
$pagecnt=$start;
while($res=mysql_fetch_array($array))
{
$pagecnt++;
  ?> 
  <tr>
    <td><?php echo $pagecnt;?></td>
    <td><a href="#login-box" class="login-window" data-id=<?php echo $res['trip_salesid'];?> data-chk=<?php echo $res['trip_saletype'];?> ><?php echo $res['trip_newsrno'];?></a></td>
    <?php 
    	$sq_veh=mysql_query("select * from cf_vehicle where id = '".$res['trip_vechno']."'");
		$rw = mysql_fetch_array($sq_veh);
		
		$sq_drv=mysql_query("select * from cf_driver where driver_id = '".$res['drv_id']."'");
		$rwdrv = mysql_fetch_array($sq_drv);
	?>
    
    <td><?php echo 'SL-'.$res['trip_salescodeno'];?></td> 
    <td><?php echo $rw['vehiclenum'];?></td> 
	<td><?php echo $rwdrv['drivername'];?></td>
    <td><?php echo $res['trip_client_name'];?></td>
    <td><?php echo $res['trip_saletype'];?></td>
        
    <td><?php echo date(('d-m-Y h:s'),strtotime($res['trip_start_date']));?></td>  
	<td><?php echo date(('d-m-Y h:s'),strtotime($res['trip_finish_date']));?></td>   
    <td><?php echo $res['grand_tot'];?></td>
    
    
    <td align="center" class="tr_td_b"><a href="add_tripsheet.php?page=<?php echo $page; ?>&tripid=<?php echo $res['trip_id']; ?>&ab=<?php echo $i;?>" target="_blank"><img src="images/edit.png" title="edit"></a></td>  
       
    <td align="center" class="tr_td_r" ><a href="tripsheet_pending_list.php?trip_del=<?=$res['trip_id']?>&del=delete" onClick="return confirm('Do you really want to delete this field?');"><img src="images/delete.png" title="delete"></a></td>
  </tr>
  <?php 
    }}else{?>
	 <tr>
    <td class="errorMessage"  style="border-right:0px;border-bottom:0px; "><font color="#FF0000">No Records Found</font></td></tr>
	<? }
  ?>
</table>

  <div align="right" style="padding-top:10px;"><?=$pagination?></div> 
  </div>
  </div>
 </div>
 <div class="footer"><p>Powered by <a href="http://www.aadhocc.co.uk/" target="_blank">Aadhocc</a></p></div>
 
</div>
<div class="quicLInksCover">
 <?php 
	include("leftlink.php");
?>

</div>
</body>
</html>
